#ifndef SMARTRF_SETTINGS_PREDEFINED
#define SMARTRF_SETTINGS_PREDEFINED


//*********************************************************************************
// Generated by SmartRF Studio version 2.9.0 (build #168)
// Tested for SimpleLink SDK version: CC13x0 SDK 2.10.xx.xx
// Device: CC1310 Rev. 2.1
//
//*********************************************************************************


#include <ti/devices/DeviceFamily.h>
#include DeviceFamily_constructPath(driverlib/rf_mailbox.h)
#include DeviceFamily_constructPath(driverlib/rf_hs_mailbox.h)
#include DeviceFamily_constructPath(driverlib/rf_common_cmd.h)
#include DeviceFamily_constructPath(driverlib/rf_hs_cmd.h)
#include DeviceFamily_constructPath(driverlib/rf_prop_cmd.h)

#include <ti/drivers/rf/RF.h>

/* TX Power Lookup Tables
 * 1. Power table for CC1310
 * 2. Power Table for CC1310 + CC1190 (US)
 * 3. Power Table for CC1310 + CC1190 (EU)
 */
extern const RF_TxPowerTable_Entry PROP_RF_txPowerTable[];
extern const uint8_t PROP_RF_txPowerTableSize;
extern const RF_TxPowerTable_Entry PROP_RF_txPowerTableREUS[];
extern const uint8_t PROP_RF_txPowerTableREUSSize;
extern const RF_TxPowerTable_Entry PROP_RF_txPowerTableREEU[];
extern const uint8_t PROP_RF_txPowerTableREEUSize;

/* RF Core API commands */
/* RF command pointers for easylink */
extern RF_Mode *RF_pProp_fsk;
extern RF_Mode *RF_pProp_lrm;
extern RF_Mode *RF_pProp_ook;
extern RF_Mode *RF_pProp_hsm;
extern RF_Mode *RF_pProp_sl_lr;
extern RF_Mode *RF_pProp_2_4G_fsk;

extern rfc_CMD_PROP_RADIO_DIV_SETUP_t *RF_pCmdPropRadioDivSetup_fsk;
extern rfc_CMD_PROP_RADIO_DIV_SETUP_t *RF_pCmdPropRadioDivSetup_lrm;
extern rfc_CMD_PROP_RADIO_DIV_SETUP_t *RF_pCmdPropRadioDivSetup_ook;
extern rfc_CMD_RADIO_SETUP_t          *RF_pCmdRadioSetup_hsm;
extern rfc_CMD_PROP_RADIO_DIV_SETUP_t *RF_pCmdPropRadioDivSetup_sl_lr;
extern rfc_CMD_PROP_RADIO_SETUP_t *RF_pCmdPropRadioSetup_2_4G_fsk;

extern rfc_CMD_HS_TX_t *RF_pCmdTxHS;
extern rfc_CMD_HS_RX_t *RF_pCmdRxHS;
extern rfc_CMD_FS_t *RF_pCmdFs_preDef;
extern rfc_CMD_PROP_TX_t *RF_pCmdPropTx_preDef;
extern rfc_CMD_PROP_RX_ADV_t *RF_pCmdPropRxAdv_preDef;

extern uint32_t pOverrides_fsk[];
extern uint32_t pOverrides_lrm[];
extern uint32_t pOverrides_ook[];
extern uint32_t pOverrides_hsm[];
extern uint32_t pOverrides_sl_lr[];

#endif // SMARTRF_SETTINGS_PREDEFINED
